package cn.hmsoft.hmplatform.wxtoken.data.model;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**********************************************
* 请求记录
* @author: zxq
* @date: 2020-05-02 17:40:03
* @version: 2.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "P_WX_DEPLOY_LOG", keyColumn =  "LOG_ID" , sequenceName = "LOG_ID")
public class PWxDeployLog implements Serializable{
	private static final long serialVersionUID = 3081305330286871401L;
	private Integer log_id;
	private Integer token_id;
	//请求时间
	private LocalDateTime request_time;
	//请求地址
	private String request_addr;
	//互联网访问地址
	private String internet_addr;
	//部署地址，唯一
	private String deploy_addr;
	//App默认Token
	private String app_accesstokenkey;
	//app实时的access_token
	private String app_accesstoken;
	//token超时时间
	private LocalDateTime app_token_expired;

	public Integer getLog_id() {
		return this.log_id;
	}

	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	public Integer getToken_id() {
		return this.token_id;
	}

	public void setToken_id(Integer token_id) {
		this.token_id = token_id;
	}

	/****
	 * 请求时间
	 */
	public LocalDateTime getRequest_time() {
		return this.request_time;
	}

	/****
	 * 请求时间
	 */
	public void setRequest_time(LocalDateTime request_time) {
		this.request_time = request_time;
	}

	/****
	 * 请求地址
	 */
	public String getRequest_addr() {
		return this.request_addr;
	}

	/****
	 * 请求地址
	 */
	public void setRequest_addr(String request_addr) {
		this.request_addr = request_addr;
	}

	/****
	 * 互联网访问地址
	 */
	public String getInternet_addr() {
		return this.internet_addr;
	}

	/****
	 * 互联网访问地址
	 */
	public void setInternet_addr(String internet_addr) {
		this.internet_addr = internet_addr;
	}

	/****
	 * 部署地址，唯一
	 */
	public String getDeploy_addr() {
		return this.deploy_addr;
	}

	/****
	 * 部署地址，唯一
	 */
	public void setDeploy_addr(String deploy_addr) {
		this.deploy_addr = deploy_addr;
	}

	/****
	 * App默认Token
	 */
	public String getApp_accesstokenkey() {
		return this.app_accesstokenkey;
	}

	/****
	 * App默认Token
	 */
	public void setApp_accesstokenkey(String app_accesstokenkey) {
		this.app_accesstokenkey = app_accesstokenkey;
	}

	/****
	 * app实时的access_token
	 */
	public String getApp_accesstoken() {
		return this.app_accesstoken;
	}

	/****
	 * app实时的access_token
	 */
	public void setApp_accesstoken(String app_accesstoken) {
		this.app_accesstoken = app_accesstoken;
	}

	/****
	 * token超时时间
	 */
	public LocalDateTime getApp_token_expired() {
		return this.app_token_expired;
	}

	/****
	 * token超时时间
	 */
	public void setApp_token_expired(LocalDateTime app_token_expired) {
		this.app_token_expired = app_token_expired;
	}


}